org.apache.sling.validation.impl

## Class CompositeValidationResult

- java.lang.Object
- - org.apache.sling.validation.impl.CompositeValidationResult

All Implemented Interfaces:
  Serializable, org.apache.sling.validation.ValidationResult

    public class CompositeValidationResult
    extends Object
    implements org.apache.sling.validation.ValidationResult, Serializable

Aggregates multiple `ValidationResult`s. Should not be from `Validator`s.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CompositeValidationResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addFailure(String location, int severity, ResourceBundle defaultResourceBundle, String message, Object... messageArguments)`
`void` `addValidationResult(org.apache.sling.validation.ValidationResult result)`
`List<org.apache.sling.validation.ValidationFailure>` `getFailures()`
`boolean` `isValid()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CompositeValidationResult

    public CompositeValidationResult()

### Method Detail

#### addValidationResult

    public void addValidationResult(@Nonnull
                                    org.apache.sling.validation.ValidationResult result)

#### addFailure

    public void addFailure(@Nonnull
                           String location,
                           int severity,
                           @Nonnull
                           ResourceBundle defaultResourceBundle,
                           @Nonnull
                           String message,
                           Object... messageArguments)

#### isValid

    public boolean isValid()

Specified by:
  `isValid` in interface `org.apache.sling.validation.ValidationResult`
Returns:
  false if at least one `ValidationResult` is not valid, true otherwise

#### getFailures

    @Nonnull
    public List<org.apache.sling.validation.ValidationFailure> getFailures()

Specified by:
  `getFailures` in interface `org.apache.sling.validation.ValidationResult`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`